const menuBtn = document.querySelector('.menu-btn');
const closeBtn = document.querySelector('.close-btn');
const sidebar = document.querySelector('.navigation-links-container');
const backdrop = document.querySelector('.navigation-backdrop');
const scrollBtn = document.querySelector('.scroll-to-top');
const serviceBtns = document.querySelectorAll('.store-list-item');
const placeBtns = document.querySelectorAll('.place-list-item');
const storeListContainer = document.querySelector('.store-list-container');


// Menu
menuBtn.addEventListener('click', () => {
   sidebar.style.left = 0;
   backdrop.style.display = 'block';
});

closeBtn.addEventListener('click', () => {
   sidebar.style.left = '-256px';
   backdrop.style.display = 'none';
});

backdrop.addEventListener('click', () => {
   sidebar.style.left = '-256px';
   backdrop.style.display = 'none';
});

// Scroll To Top
window.addEventListener('scroll', () => {
   if (document.body.scrollTop > 50 || document.documentElement.scrollTop > 50) {
      scrollBtn.style.display = 'flex';
   } else {
      scrollBtn.style.display = 'none';
   }
});

scrollBtn.addEventListener('click', () => {
   document.body.scrollTop = 0;
   document.documentElement.scrollTop = 0;
});

// Active Service
serviceBtns.forEach((service) => {
   service.addEventListener('click', () => {
      if (service.classList.contains('store-list-item-active')) {
         service.classList.remove('store-list-item-active');
      } else {
         serviceBtns.forEach(item => item.classList.remove('store-list-item-active'));
         service.classList.add('store-list-item-active');
      }
   });
});

// Active Place
placeBtns.forEach((place) => {
   place.addEventListener('click', () => {
      if (place.classList.contains('place-list-item-active')) {
         place.classList.remove('place-list-item-active');
      } else {
         placeBtns.forEach(item => item.classList.remove('place-list-item-active'));
         place.classList.add('place-list-item-active');
      }
   });
});

// Hero Slider
var swiper = new Swiper(".hero-slider", {
   slidesPerView: 'auto',
   loop: true,
   spaceBetween: 40,
   speed: 3000,
   autoplay: {
      delay: 0
   }
});

// Testimonial Slider
var swiper = new Swiper(".testimonial-slider", {
   slidesPerView: 1,
   loop: true,
   pagination: {
      el: ".swiper-pagination",
   }
});

// Scroll Reveal
ScrollReveal({ distance: '60px' });
ScrollReveal().reveal('.hero', { delay: 200, duration: 800 });
ScrollReveal().reveal('.store-card', { interval: 400, duration: 1000 });
ScrollReveal().reveal('.service-card', { interval: 400, duration: 1000 });
ScrollReveal().reveal('.who-we-are-left', { delay: 200, origin: 'left', duration: 1000 });
ScrollReveal().reveal('.who-we-are-right', { delay: 400, origin: 'right', duration: 1000 });
ScrollReveal().reveal('.testimonial-container', { delay: 200, duration: 1000 });
ScrollReveal().reveal('.contact', { delay: 200, duration: 1000 });

const navItems = document.querySelectorAll('.navbar-nav .nav-item');

// Add a click event listener to each item
navItems.forEach(item => {
    item.addEventListener('click', function() {
        // Remove 'current-menu-item' class from all items
        navItems.forEach(nav => nav.classList.remove('current-menu-item'));

        // Add 'current-menu-item' class to the clicked item
        this.classList.add('current-menu-item');
    });
});

