<?php 
/*
Template Name:Blog Page
*/ 
get_header(); ?>

<!-- Banner -->
<div class="rest-banner">
    <img src="<?php the_post_thumbnail_url(); ?>" alt="">
    <div class="rest-banner-content">
        <h1><?php the_title();?></h1>
    </div>
</div>


<!-- blogs -->

<div class="container-xxl py-5">
    <div class="container">
        <div class="text-center mx-auto mb-5" data-wow-delay="0.1s" style="max-width: 600px;">
            <h2 class="display-5 mb-4 blog-head"><?php the_field('blog_heading');?></h2>
        </div>
        <div class="row">
            
            
                 <?php $args = array( 'post_type' => 'post', 'posts_per_page', '-1', 'order' => 'ASC' ); 
            $query = new WP_Query( $args ); 
            if ( $query->have_posts() ) :  while ( $query->have_posts() ) : $query->the_post();
          ?>
            <div class="col-lg-4 col-12">
                <div class="card mb-4 card-1">
                    <img src="<?php the_field('blog_card_image');?>" alt="...">
                    <a href="blog-inner.html">
                        <div class="card-body">
                            <h4 class="card-title mb-2"><?php the_title();?>
                            </h4>
                            <p class="card-text"><?php the_field('blog_short_content');?></p>
                            <a href="<?php echo the_permalink();?>" class="btn read-more mt-3">Read More</a>
                        </div>
                    </a>
                </div>
            </div>
             <?php endwhile; endif; wp_reset_postdata(); ?>
            
        </div>
    </div>
</div>


<?php get_footer(); ?>