<?php 
/*
Template Name:Home Front Page
*/ 
get_header(); ?>



<div class="banner">
    <div class="container container-banner" style="height:100%">
        <div class="row row-banner" style="height:100%">
            <div class="col-xl-6 col-lg-6 col-md-6 col-12 banner-col-1"
                style="display:flex; flex-direction:column; align-items:center; justify-content: center;">
                <h1><?php the_field('banner_heading');?></span>
                </h1>
                <p class="my-5 my-md-4"> <?php the_content();?></p>
                <div style="margin-top:2rem">
                    <a href="<?php echo site_url();?>/about-us"><button class="read-more d-flex align-items-center">Read More <i
                                class='bx bx-plus-circle ms-2'></i></button></a>
                </div>
            </div>

            <div class="col-xl-6 col-lg-6 col-md-6 col-12 banner-col-2">
                <div class="banner-img">
                    <img src="<?php the_post_thumbnail_url();?>" alt="">
                </div>
            </div>
        </div>
    </div>
</div>


<!-- services -->

<div class="container">
    <div class="services">
        <h2 class="text-center py-5"><?php the_field('service_heading');?></h2>
        <div class="swiper mySwiper service-swipper">
            <div class="swiper-wrapper">

                <?php $args = array( 'post_type' => 'services', 'posts_per_page', '-1', 'order' => 'ASC' ); 
            $query = new WP_Query( $args ); 
            if ( $query->have_posts() ) :  while ( $query->have_posts() ) : $query->the_post();
          ?>
                <div class="swiper-slide">
                    <div class="service-card">
                        <img src="<?php the_post_thumbnail_url();?>" alt="">
                        <div class="service-card-content">
                            <h4 class=" my-3"><?php the_title();?></h4>
                            <p class="text-wrap-3"><?php the_field('sort_content');?></p>
                            <div class="d-flex align-items-center gap-2">
                                <a href="<?php echo the_permalink();?>" class="service-btn">Read More</a>
                                <a href="#" class="service-enquiry-btn" data-bs-toggle="modal"
                                    data-bs-target="#enquirynow">Enquire Now</a>
                            </div>
                        </div>
                    </div>
                </div>
                <?php endwhile; endif; wp_reset_postdata(); ?>
            
            </div>
        </div>
    </div>
</div>


<!-- about -->

<div class="container-fluid about">
    <div class="container">
        <div class="row">
            <div class="col-xl-6 col-lg-7 col-md-6 col-12">
                <div class="about-text">
                    <h2><?php the_field('about_us_heading');?></h2>
                    <div class="about-para mt-4 mt-lg-1 mt-md-0">
                        <?php the_field('about_us_content');?>
                    </div>
                    <div class="mt-5 mt-lg-4">
                        <a href="<php echo site_url();?>/about-us"><button class="read-more d-flex align-items-center">Learn More <i
                                    class='bx bx-plus-circle ms-2'></i></button></a>
                    </div>
                </div>
            </div>
            <div class="col-xl-6 col-lg-5 col-md-6 col-12">
                <div class="about-img mt-4">
                    <img src=" <?php the_field('about_us_image');?>" alt="">
                </div>
            </div>
        </div>
    </div>
</div>


<!-- testimonials -->


<div class="container-fluid testimonial">
    <div class="container">
        <div class="row align-items-center">
            <div class="testimonial-text">
                <h2 class="text-center py-5 mb-md-5"><?php the_field('testimonial_heading');?></h2>
            </div>
            <div class="col-xl-6 col-lg-6 col-md-6 col-12">
                <div class="testimonial-img">
                    <img src="<?php the_field('testimonials_leftside_image');?>" alt="">
                </div>
            </div>

            <div class="col-xl-6 col-lg-5 col-md-6 col-12 testi-slide-img">
                <!-- <div class="testi-slide-img"> -->
                <img class="w-100"
                    src="<?php echo esc_url( get_template_directory_uri() ); ?>/mgs-gold-assets/images/testi-slide-img.png"
                    alt="">
                <!-- </div> -->
                <div class="swiper t-swiper">
                    <div class="swiper-wrapper">
                        <?php
                  $xx = 1;
                     if ( have_rows('testimonial_content') ):
                        while ( have_rows('testimonial_content') ) : the_row(); 
                  ?>
                        <div class="swiper-slide">
                            <div class="testi">
                                <p class="name text-white text-center"><?php the_sub_field('testimonial_name');?></p>
                                <p class="text-white text-center my-3 ps-4 pe-5">
                                    <?php the_sub_field('testimonial_content');?></p>
                                <div class="star my-2 d-flex align-items-center text-center">
                                    <i class='bx bxs-star'></i>
                                    <i class='bx bxs-star'></i>
                                    <i class='bx bxs-star'></i>
                                    <i class='bx bxs-star'></i>
                                    <i class='bx bxs-star'></i>
                                </div>

                            </div>
                        </div>

                        <?php
                         $xx++;
                        endwhile;
                        else :// Handle case where no rows are found
                        endif;
                        ?>
                       
                    </div>
                </div>


            </div>
        </div>
    </div>
</div>

<!-- contact us -->

<div class="section-contact">
    <div class="container">
        <div class="contact-header">
            <h2 class="text-center"><?php the_field('contact_us_heading');?></h2>
        </div>
        <div class="row contact-us">
            <div class="col-lg-5 col-12">
                <div class="contact-info">
                    <h4><?php the_field('contact_us_left_side_heading');?></h4>
                    <div class="contact-info-content">
                        <div class="tollfree">
                            <a href="tel:<?php the_field('contact_no','option');?>"><i
                                    class='bx bxs-user-voice'></i><span>Tollfree <br>
                                    <p><?php the_field('contact_no','option');?></p>
                                </span></a>
                        </div>
                        <div class="tollfree">
                            <a href="tel:<?php the_field('contact_no_1','option');?>"><i
                                    class='bx bxs-phone-call'></i><span>Phone <br>
                                    <p><?php the_field('contact_no_1','option');?></p>
                                </span></a>
                        </div>
                        <div class="tollfree">
                            <a href="https://wa.me/<?php the_field('contact_no_2','option');?>"><i
                                    class='bx bxl-whatsapp'></i><span>Whatsapp <br>
                                    <p><?php the_field('contact_no_2','option');?></p>
                                </span></a>
                        </div>
                        <div class="tollfree">
                            <a href="mailto:<?php the_field('email','option');?>"><i
                                    class='bx bx-mail-send'></i><span>Email <br>
                                    <p><?php the_field('email','option');?></p>

                                    <p><?php the_field('email_1','option');?></p>

                                </span></a>
                        </div>
                        <div class="tollfree">
                            <a href="#"><i class='bx bxs-edit-location'></i><span>Location<br>
                                    <p><?php the_field('address','option');?></p>
                                </span></a>
                        </div>
                    </div>
                    <div class="contact-social">
                        <a href="<?php the_field('facebook','option');?>"><i class='bx bxl-facebook-circle'></i></a>
                        <a href="<?php the_field('instagram','option');?>"><i class='bx bxl-instagram'></i></a>
                    </div>
                </div>
            </div>
            <div class="col-lg-7 col-12">
                <div class="contact-us-form-container contact-us-form-container-home">
                    <h4><?php the_field('contact_us_right_side_heading');?></h4>
                    <div class="contact-us-form">
                        <?php echo do_shortcode('[contact-form-7 id="399105d" title="Contact form 1"]');?>
                        <!-- <form >
                        <div class="row mb-4">
                            <div class="col-sm-6 col-12 mb-sm-0 mb-4">
                                <input type="text" class="form-control" id="name" aria-describedby="name"
                                    placeholder="Full Name">
                            </div>
                            <div class="col-sm-6 col-12">
                                <input type="text" class="form-control" id="phone" aria-describedby="phone"
                                    placeholder="Phone">
                            </div>
                        </div>
                        <input type="email" class="form-control mb-4" id="email" aria-describedby="email"
                            placeholder="Email">
                        <textarea name="message" id="" cols="30" rows="4" class="form-control"
                            placeholder="Message"></textarea>
                        <div class="contact-us-btn-container mt-4">
                            <button class="contact-btn">Submit</button>
                        </div>
                    </form> -->
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php get_footer(); ?>